QGIS Application - Feature request #21251

Set output file resolution option and CRS options to Processing Clip Raster to Mask Layer -
ClipRasterByMask.py

2019-02-13 12:05 PM - Pedro Venancio

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 29069
Description

This is a feature request to add the output file resolution option to Clip Raster to Mask Layer. This was possible in QGIS 2.18 Raster ->
Extraction -> Clipper, but not in the Processing implementation of gdalwarp.

| also propose the introduction of -s_srs and -t_srs options, to overcome this issue, that will only be fixed in GDAL 2.4.1:

http://osgeo-org.1560.x6.nabble.com/gdal-dev-gdalwarp-cutline-shift-between-raster-and-vector-in-GDAL-2-3-2-td5389268.html

https://github.com/OSGeo/gdal/issues/1156

I'm making a proposal patch, but please make a review, because it is fully functional, but the code can be not too polite.
The only problem | see is, as they are QgsProcessingParameterBoolean (and not radio buttons), a user can check both
KEEP_RESOLUTION and SET_RESOLUTION at the same time. Is there any form to put them mutually exclusive in Processing? If not, |

think a user needs to know what is doing when activate an option that is, by default, unselected.

Thank you very much!

History

#1 - 2019-02-13 12:44 PM - Giovanni Manghi

works fine here (tested on Windows only), are you comfortable submitting a pull request on Github?

#2 - 2019-02-13 03:50 PM - Pedro Venancio
- File ClipRasterByMask.py added

This version of the patch adds the -multi option, already added to master by Giovanni.

This way should work in master and 3.4.4 without problems.

#3 - 2019-02-15 11:35 AM - Pedro Venancio

Giovanni Manghi wrote:

works fine here (tested on Windows only), are you comfortable submitting a pull request on Github?
http://osgeo-org.1560.x6.nabble.com/gdal-dev-gdalwarp-cutline-shift-between-raster-and-vector-in-GDAL-2-3-2-td5389268.html
https://github.com/OSGeo/gdal/issues/1156

I've not the environment prepared to that at this moment, so if you can do it ASAP, please do Giovanni.

Thanks!

#4 - 2019-03-11 01:29 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

The patch was merged into 3.6 and master, while for 3.4 was closed is not really a bug fix.

Anyway here https://github.com/qgis/QGIS/pull/9445 a few comments were made, and possibly this could lead to tweak the already committed patches to

3.6 and master.

Files
ClipRasterByMask.py 10.5 KB 2019-02-13 Pedro Venancio
ClipRasterByMask.py 11.1 KB 2019-02-13 Pedro Venancio
